Scilab Function

lcm - Plus petit commun multiple (PPCM) de polynômes ou d'entiers

### Calling Sequence

  `[pp,fact]=lcm(p)`

### Parameters

- `p` : vecteur de polynômes ou d'entiers (type égal à 8)
- `fact` : vecteur de polynômes ou d'entiers
- `pp` : polynôme ou un entier

### Description

`pp=lcm(p)` calcule le PPCM `pp` du vecteur `p` au sens des polynômes ou des entiers.

`[pp,fact]=lcm(p)` calcule de plus le vecteur `fact` tel que :

`p.*fact=pp*ones(p)`

### Examples

    //cas des polynomes
    s=poly(0,'s');
    p=[s,s*(s+1)^2,s^2*(s+2)];
    [pp,fact]=lcm(p);
    p.*fact, pp
    //cas des entiers
    V=int32([2^2*3^5, 2^3*3^2,2^2*3^4*5]);
    lcm(V)

### See Also

`gcd` , `bezout` ,